<?php
/**
 * List of all swatch defaults
 *
 * @package Angle
 * @subpackage Admin
 * @since 0.1
 *
 * @copyright (c) 2014 Oxygenna.com
 * @license **LICENSE**
 * @version 1.15.2
 */

return array(
    'white-red' => array(
        'title' => __('White Background with Red Elements', 'angle-admin-td'),
        'colours' => array(
            '#444',     // text
            '#222',     // header
            '#666',     // small
            '#222222',  // icon
            '#e74c3c',  // link
            '#df2e1b',  // link_hover
            '#df2e1b',  // link_active
            '#e74c3c',  // link_headings
            '#ffffff',  // background
            '#e74c3c',  // foreground
            '#000',     // overlay
            '7',        // overlay alpha
            '#e9eeef',  // form_background
            '#444',     // form_text
            '#cddadd',  // form_active
            '#e74c3c',  // primary_button_background
            '#fff'      // primary_button_text
        ),
        'status' => 'enabled'
    ),
    'red-white' => array(
        'title' => __('Red Background with White Elements', 'angle-admin-td'),
        'colours' => array(
            '#F0C6BC',  // text
            '#fff',     // header
            '#f49990',  // small
            '#fff',     // icon
            '#FFFFFF',  // link
            '#FACCC8',  // link_hover
            '#FACCC8',  // link_active
            '#fff',     // link_headings
            '#e74c3c',  // background
            '#fff',     // foreground
            '#000',     // overlay
            '7.5',      // overlay alpha
            '#fdfdfd',  // form_background
            '#666',     // form_text
            '#ad0a04',  // form_active
            '#73bfc1',  // primary_button_background
            '#fff'      // primary_button_text
        ),
        'status' => 'enabled'
    ),
    'white-black' => array(
        'title' => __('White Background with black Elements', 'angle-admin-td'),
        'colours' => array(
            '#676668',  // text
            '#333333',  // header
            '#666666',  // small
            '#333333',  // icon
            '#1C1E20',  // link
            '#444444',  // link_hover
            '#333333',  // link_active
            '#1c1c1c',  // link_headings
            '#ffffff',  // background
            '#1c1c1c',  // foreground
            '#000000',  // overlay
            '7',        // overlay alpha
            '#F8F7F2',  // form_background
            '#1C1E20',  // form_text
            '#B9B6A3',  // form_active
            '#34383B',  // primary_button_background
            '#E7E5D9'   // primary_button_text
        ),
        'status' => 'disabled'
    ),
    'beige-black' => array(
        'title' => __('Beige Background with black Elements', 'angle-admin-td'),
        'colours' => array(
            '#676668',  // text
            '#34383B',  // header
            '#4C5257',  // small
            '#34383B',  // icon
            '#1C1E20',  // link
            '#4C5257',  // link_hover
            '#646B72',  // link_active
            '#1C1E20',  // link_headings
            '#E7E5D9',  // background
            '#1C1E20',  // foreground
            '#000',     // overlay
            '7',        // overlay alpha
            '#F8F7F2',  // form_background
            '#1C1E20',  // form_text
            '#B9B6A3',  // form_active
            '#34383B',  // primary_button_background
            '#E7E5D9'   // primary_button_text
        ),
        'status' => 'disabled'
    ),
    'black-beige' => array(
        'title' => __('Black Background with Beige Elements', 'angle-admin-td'),
        'colours' => array(
            '#909498',  // text
            '#E7E5D9',  // header
            '#D2CEB7',  // small
            '#E7E5D9',  // icon
            '#E7E5D9',  // link
            '#BEB898',  // link_hover
            '#BEB898',  // link_active
            '#BEB898',  // link_headings
            '#1C1E20',  // background
            '#E7E5D9',  // foreground
            '#fff',     // overlay
            '8',       // overlay alpha
            '#CDC7A7',  // form_background
            '#1C1E20',  // form_text
            '#46443D',  // form_active
            '#E6E5D8',  // primary_button_background
            '#34383B'   // primary_button_text
        ),
        'status' => 'disabled'
    ),
    'white-blue' => array(
        'title' => __('White Background with Blue Elements', 'angle-admin-td'),
        'colours' => array(
            '#444444',  // text
            '#222222',  // header
            '#666666',  // small
            '#6692A6',  // icon
            '#6692A6',  // link
            '#456877',  // link_hover
            '#456877',  // link_active
            '#6692A6',  // link_headings
            '#ffffff',  // background
            '#6692A6',  // foreground
            '#000',     // overlay
            '7',        // overlay alpha
            '#DBE7ED',  // form_background
            '#444444',  // form_text
            '#C8D6DD',  // form_active
            '#6692A6',  // primary_button_background
            '#ffffff'   // primary_button_text
        ),
        'status' => 'disabled'
    ),
    'blue-white' => array(
        'title' => __('Blue Background with white Elements', 'angle-admin-td'),
        'colours' => array(
            '#b8cad5',  // text
            '#ffffff',  // header
            '#E5E5E3',  // small
            '#ffffff',  // icon
            '#ffffff',  // link
            '#E5E5E3',  // link_hover
            '#E5E5E3',  // link_active
            '#E5E5E3',  // link_headings
            '#6692A6',  // background
            '#ffffff',  // foreground
            '#000',     // overlay
            '7.5',      // overlay alpha
            '#91B6C6',  // form_background
            '#E5E5E3',  // form_text
            '#2B3940',  // form_active
            '#B6593D',  // primary_button_background
            '#ffffff'   // primary_button_text
        ),
        'status' => 'disabled'
    ),
    'white-green' => array(
        'title' => __('White Background with Green Elements', 'angle-admin-td'),
        'colours' => array(
            '#444444',  // text
            '#222222',  // header
            '#666666',  // small
            '#57B4A0',  // icon
            '#57B4A0',  // link
            '#323235',  // link_hover
            '#323235',  // link_active
            '#57B4A0',  // link_headings
            '#ffffff',  // background
            '#57B4A0',  // foreground
            '#000',     // overlay
            '7',        // overlay alpha
            '#D3F6EF',  // form_background
            '#444444',  // form_text
            '#323235',  // form_active
            '#57B4A0',  // primary_button_background
            '#ffffff'   // primary_button_text
        ),
        'status' => 'disabled'
    ),
    'green-white' => array(
        'title' => __('Green Background with white Elements', 'angle-admin-td'),
        'colours' => array(
            '#FFFFFF',  // text
            '#32323B',  // header
            '#1A1A1E',  // small
            '#ffffff',  // icon
            '#323235',  // link
            '#ffffff',  // link_hover
            '#ffffff',  // link_active
            '#19191A',  // link_headings
            '#57B4A0',  // background
            '#ffffff',  // foreground
            '#000',     // overlay
            '7.5',      // overlay alpha
            '#83D0BF',  // form_background
            '#323235',  // form_text
            '#323235',  // form_active
            '#323235',  // primary_button_background
            '#ffffff'   // primary_button_text
        ),
        'status' => 'disabled'
    ),
    'yellow-black' => array(
        'title' => __('Yellow Background with Black Elements', 'angle-admin-td'),
        'colours' => array(
            '#66664a',  // text
            '#1C1E20',  // header
            '#4C5257',  // small
            '#34383B',  // icon
            '#111',     // link
            '#000000',  // link_hover
            '#1C1E20',  // link_active
            '#1C1E20',  // link_headings
            '#F0C40F',  // background
            '#1C1E20',  // foreground
            '#000',     // overlay
            '7',        // overlay alpha
            '#F8F7F2',  // form_background
            '#1C1E20',  // form_text
            '#AA951A',  // form_active
            '#34383B',  // primary_button_background
            '#E7E5D9'   // primary_button_text
        ),
        'status' => 'disabled'
    ),
    'black-yellow' => array(
        'title' => __('Black Background with yellow Elements', 'angle-admin-td'),
        'colours' => array(
            '#eff1de',  // text
            '#E7E5D9',  // header
            '#D2CEB7',  // small
            '#F0C40F',  // icon
            '#E1C862',  // link
            '#F0C40F',  // link_hover
            '#F8F7F2',  // link_active
            '#F8F7F2',  // link_headings
            '#1C1E20',  // background
            '#F0C40F',  // foreground
            '#fff',     // overlay
            '8',        // overlay alpha
            '#E7E5D9',  // form_background
            '#1C1E20',  // form_text
            '#6C6B6C',  // form_active
            '#F0C40F',  // primary_button_background
            '#34383B'   // primary_button_text
        ),
        'status' => 'disabled'
    ),
    'white-black' => array(
        'title' => __('White Background with Black Elements', 'angle-admin-td'),
        'colours' => array(
            '#666666',  // text
            '#1c1c1c',  // header
            '#888888',  // small
            '#333333',  // icon
            '#1dc6df',  // link
            '#29a8bb',  // link_hover
            '#29a8bb',  // link_active
            '#1dc6df',  // link_headings
            '#ffffff',  // background
            '#1c1c1c',  // foreground
            '#000',     // overlay
            '7',        // overlay alpha
            '#ebebe9',  // form_background
            '#1c1c1c',  // form_text
            '#AA951A',  // form_active
            '#34383B',  // primary_button_background
            '#E7E5D9'   // primary_button_text
        ),
        'status' => 'disabled'
    ),
    'black-white' => array(
        'title' => __('Black Background with white Elements', 'angle-admin-td'),
        'colours' => array(
            '#dfdfdf',  // text
            '#efefef',  // header
            '#dfdfdf',  // small
            '#dfdfdf',  // icon
            '#ffffff',  // link
            '#cccccc',  // link_hover
            '#cccccc',  // link_active
            '#ffffff',  // link_headings
            '#1c1c1c',  // background
            '#ffffff',  // foreground
            '#fff',     // overlay
            '8',        // overlay alpha
            '#e7e7e7',  // form_background
            '#1c1c1c',  // form_text
            '#6c6c6c',  // form_active
            '#f0f0f0',  // primary_button_background
            '#343434'   // primary_button_text
        ),
        'status' => 'disabled'
    )
);